com.r3corda.protocols / NotaryProtocol / Handshake

# Handshake

`data class Handshake : PartyRequestMessage`

### Constructors

<init> | `Handshake(replyToParty: Party, sendSessionID: Long, sessionID: Long)`

### Properties

replyToParty | `val replyToParty: Party`
sendSessionID | `val sendSessionID: Long`
sessionID | `val sessionID: Long`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`